<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
    template="/WEB-INF/templates/LoggedTemplate.xhtml">
                    
    <ui:define name="contentPart">
        
        <h:form id="TabuladoresListForm">
            <h:outputText value="RH -> Plazas" style="font-weight: bold; font-size: medium"/>
            <br/><br/>

           
                        <p:outputLabel for="comboEjercicio" value="#{translatedMessage['restricted.rh.plaza.ejercicios']}"/>
                      
                        <p:selectOneMenu id="comboEjercicio" value="#{listPlazaMB.plazaSelected.ejercicio.idEjercicio}" filter="true" style="width:200px" >                            
                            <f:selectItems 
                                value="#{listPlazaMB.listadoEjercicios}" 
                                var="listadoEjercicios" 
                                itemValue="#{listadoEjercicios.idEjercicio}" 
                                itemLabel="#{listadoEjercicios.valor}" />                            
                        </p:selectOneMenu>                         
                   
                        <p:outputLabel for="comboAdscripcion" value="#{translatedMessage['restricted.rh.plaza.adscripciones']}"/>
                       
                        <p:selectOneMenu id="comboAdscripcion" value="#{listPlazaMB.plazaSelected.adscripcion.idAdscripcion}" filter="true" style="width:200px">                            
                            <f:selectItems value="#{listPlazaMB.listadoAdscripciones}" 
                                           var="listadoAdscripciones" 
                                           itemValue="#{listadoAdscripciones.idAdscripcion}" 
                                           itemLabel="#{listadoAdscripciones.descripcion}" />                                                                                
                        </p:selectOneMenu>                        
                   
                        <p:outputLabel for="comboEstatus" value="#{translatedMessage['restricted.rh.plaza.estatusPlaza']}"/>
                        <br/><br/>
                        <p:selectOneMenu id="comboEstatus" value="#{listPlazaMB.plazaSelected.estatusPlaza.idEstatusPlaza}" filter="true" style="width:200px">                            
                            <f:selectItems value="#{listPlazaMB.listadoEstatusPlaza}" 
                                           var="listadoEstatusPlaza" 
                                           itemValue="#{listadoEstatusPlaza.idEstatusPlaza}" 
                                           itemLabel="#{listadoEstatusPlaza.descripcion}" />                                                      
                        </p:selectOneMenu>                        
                     
                        <p:outputLabel for="comboTipoNombramiento" value="#{translatedMessage['restricted.rh.plaza.tiposNombramientos']}"/>
                       
                        <p:selectOneMenu id="comboTipoNombramiento" value="#{listPlazaMB.plazaSelected.tipoNombramiento.idTipoNombramiento}" filter="true" style="width:200px">                            
                            <f:selectItems value="#{listPlazaMB.listadoTipoNombramiento}" 
                                           var="listadoTipoNombramiento" 
                                           itemValue="#{listadoTipoNombramiento.idTipoNombramiento}" 
                                           itemLabel="#{listadoTipoNombramiento.descripcion}" />                                                       
                        </p:selectOneMenu>                       
                   
            
            <table>
                <tr>
                    <th>
                        <p:commandButton                        
                            value="Busqueda Plaza"                                                         
                            actionListener="#{listPlazaMB.buscarPlazas}"                             
                            update="listadoPlazas">
                        </p:commandButton>
                        <br/><br/>
                    </th>
                </tr>
            </table>
            
            <br/><br/>
            <p:dataTable
                id="listadoPlazas"
                value="#{listPlazaMB.listadoPlazas}"
                var="plaza"
                paginator="true"
                rows="10"
                emptyMessage="No se encontraron Plazas"
                paginatorPosition="bottom">

                <p:column>                    
                    <f:facet name="header">#{translatedMessage['restricted.catalogogenerico.adscripcion.unidadDescripcion']}</f:facet>
                    <h:outputText value="#{plaza.adscripcion.detalleunidadAdm.descripcion}"/>
                </p:column>

                <p:column>                                        
                    <f:facet name="header">#{translatedMessage['restricted.nomina.tabulador.nivelTabular']}</f:facet>
                    <h:outputText value="#{plaza.tabulador.nivelTabular}"/>
                </p:column>
                
                <p:column>                                        
                    <f:facet name="header">#{translatedMessage['restricted.rh.puesto.descripcion']}</f:facet>
                    <h:outputText value="#{plaza.puesto.descripcion}"/>
                </p:column>

                <p:column>                                        
                    <f:facet name="header">#{translatedMessage['restricted.rh.plaza.vigencia']}</f:facet>
                    <h:outputText value="#{plaza.vigencia}"/>
                </p:column>

                <p:column>                                        
                    <f:facet name="header">#{translatedMessage['restricted.rh.plaza.pef']}</f:facet>
                    <h:outputText value="#{plaza.pef}"/>
                </p:column>                                                  
                
                <p:column style="width:32px" headerText="Actualizar">
                    <p:commandButton                                               
                        title="Actualizar plaza"
                        icon="ui-icon ui-icon-pencil">
                        <f:setPropertyActionListener
                            value="#{plaza}"
                            target="#{listPlazaMB.plazaSelected}" />
                    </p:commandButton>
                </p:column> 
                
                <p:column style="width:32px" headerText="Dividir">
                    <p:commandButton                                               
                        title="Dividir plaza"
                        icon="ui-icon-triangle-2-e-w">
                        <f:setPropertyActionListener
                            value="#{plaza}"
                            target="#{listPlazaMB.plazaSelected}" />
                    </p:commandButton>
                </p:column> 

                <p:column style="width:32px" headerText="Eliminar">
                    <p:commandButton                                               
                        title="Eliminar plaza"
                        icon="ui-icon-close">
                        <f:setPropertyActionListener
                            value="#{plaza}"
                            target="#{listPlazaMB.plazaSelected}" />
                    </p:commandButton>
                </p:column> 

                <p:column style="width:32px" headerText="Ver">
                    <p:commandButton                                               
                        title="Información de la plaza"
                        icon="ui-icon-comment">
                        <f:setPropertyActionListener
                            value="#{plaza}"
                            target="#{listPlazaMB.plazaSelected}" />
                    </p:commandButton>
                </p:column>                 
                
            </p:dataTable>
            
            <br/><br/>
            <table>
                <tr>
                    <th>
                        <p:commandButton
                            value="Nuevo"
                            type="button"                            
                            onclick="location='/content/restricted/rh/plaza/PlazaAdd.jsf';">
                        </p:commandButton>
                        <br/><br/>
                    </th>
                    
                    <th>
                        <p:commandButton
                            value="Cerrar"
                            type="button"
                            onclick="location='#{request.contextPath}#{commonDataMB.defaultTargetUrl}';">
                        </p:commandButton>         
                        <br/><br/>                       
                    </th>
                </tr>
            </table>                            
        </h:form>
    </ui:define>
</ui:composition>
